Summary: Utilities for monitoring your system and processes on your system
Name: procps
Version: 2.0.7
Release: 1
Group: Applications/System
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://people.redhat.com/johnsonm/procps/procps-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The procps package contains a set of system utilities which provide
system information.  Procps includes ps, free, sessreg, skill, snice,
tload, top, uptime, vmstat, w, and watch.  The ps command displays
a snapshot of running processes.  The top command provides a
repetitive update of the statuses of running processes.  The free
command displays the amounts of free and used memory on your system.
Sessreg is a simple program for managing utmp/wtmp entries for xdm
sessions.  The skill command sends a terminate command (or another
specified signal) to a specified set of processes.  The snice
command is used to change the scheduling priority of specified
processes.  The tload command prints a graph of the current system
load average to a specified tty.  The uptime command displays the
current time, how long the system has been running, how many users
are logged on and system load averages for the past one, five and
fifteen minutes.  The w command displays a list of the users who
are currently logged on and what they're running.  The watch program
watches a running program.  The vmstat command displays virtual
memory statistics about processes, memory, paging, block I/O, traps
and CPU activity.


%prep
%setup -q


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,sbin,lib,usr/{bin,man/man{1,5,8},X11R6/bin}}
make DESTDIR=$RPM_BUILD_ROOT OWNERGROUP= install

# util-linux already provides /bin/kill and /usr/man/man1/kill.1
rm -f $RPM_BUILD_ROOT/{usr/bin/kill,usr/man/man1/kill.1}


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc BUGS COPYING COPYING.LIB INSTALL NEWS TODO
/bin/*
/sbin/*
/lib/*
/usr/bin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
